## The *check-easter-sunday.ps1* Script

This PowerShell script checks the time until Easter Sunday and replies by text-to-speech (TTS).

## Parameters
```powershell
/home/mf/Repos/PowerShell/Scripts/check-easter-sunday.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./check-easter-sunday

```

## Notes
Author: Markus Fleschutz | License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

## Source Code
```powershell
<#
.SYNOPSIS
	Checks the time until Easter Sunday
.DESCRIPTION
	This PowerShell script checks the time until Easter Sunday and replies by text-to-speech (TTS).
.EXAMPLE
	PS> ./check-easter-sunday
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	$Now = [DateTime]::Now
	$Easter = [Datetime]("04/17/2022")
	if ($Now -lt $Easter) {
		$Diff = $Easter – $Now
		& "$PSScriptRoot/speak-english.ps1" "Easter Sunday on April 17 is in $($Diff.Days) days."
	} else {
		$Diff = $Now - $Easter
		& "$PSScriptRoot/speak-english.ps1" "Easter Sunday on April 17 was $($Diff.Days) days ago."
	}
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of check-easter-sunday.ps1*
